--- /usr/tmp/clean/dasher-4.2.0/Src/Gtk2-Experimental/Makefile.am	2006-09-03 20:45:13.000000000 +0100
+++ dasher-4.2.0/Src/Gtk2-Experimental/Makefile.am	2006-10-10 12:00:53.168741000 +0100
@@ -9,4 +9,4 @@
 
 AM_CXXFLAGS = $(GTK2_CFLAGS) $(SETTINGS_CFLAGS) $(gnome_speech_CFLAGS) $(gnome_a11y_CFLAGS) $(glade_CFLAGS) $(gnome_CFLAGS) $(gthread_CFLAGS) $(wnck_CFLAGS) -I$(srcdir)/../Gtk2 -I$(srcdir)/../DasherCore -I$(srcdir)/../intl -I$(top_srcdir)/intl -DPACKAGE_LOCALE_DIR=\"$(PREFIX)/share/locale\" -DPROGDATA=\"$(pkgdatadir)\"
 
-dasher_com_aid_LDFLAGS = $(GTK2_LIBS) $(SETTINGS_LIBS) $(gnome_speech_LIBS) $(gnome_a11y_LIBS) $(glade_LIBS) $(gnome_LIBS) $(gthread_LIBS) $(wnck_LIBS) -lexpat $(X_LIBS) -L../Gtk2 -L../DasherCore -L../DasherCore/LanguageModelling -L../DasherCore/Alphabet -ldashercontrol -ldashercore -ldasherlm -ldasheralphabet 
+dasher_com_aid_LDFLAGS = $(GTK2_LIBS) $(SETTINGS_LIBS) $(gnome_speech_LIBS) $(gnome_a11y_LIBS) $(glade_LIBS) $(gnome_LIBS) $(gthread_LIBS) $(wnck_LIBS) -lexpat $(X_LIBS) -L../Gtk2 -L../DasherCore -L../DasherCore/LanguageModelling -L../DasherCore/Alphabet -L../Common -ldashercontrol -ldashercore -ldasherlm -ldasheralphabet -ldashermisc
--- /usr/tmp/clean/dasher-4.2.0/Src/Makefile.am	2006-09-03 20:45:05.000000000 +0100
+++ dasher-4.2.0/Src/Makefile.am	2006-10-10 12:00:53.169143000 +0100
@@ -33,7 +33,8 @@
 	Gtk2/libdashercontrol.a \
 	DasherCore/libdashercore.a \
 	DasherCore/LanguageModelling/libdasherlm.a \
-	DasherCore/Alphabet/libdasheralphabet.a
+	DasherCore/Alphabet/libdasheralphabet.a \
+	Common/libdashermisc.a
 endif
 
 if DOQTE
--- /usr/tmp/clean/dasher-4.2.0/Src/DasherCore/DasherView.h	2006-09-03 20:45:06.000000000 +0100
+++ dasher-4.2.0/Src/DasherCore/DasherView.h	2006-10-10 12:00:53.169825000 +0100
@@ -47,7 +47,7 @@
 /// mode). We should probably consider creating separate classes for
 /// these.
 
-class Dasher::CDasherView:public CDasherComponent
+class Dasher::CDasherView:public Dasher::CDasherComponent
 {
 public:
 
--- /usr/tmp/clean/dasher-4.2.0/Src/Gtk2/KeyboardHelper.h	2006-09-03 20:45:08.000000000 +0100
+++ dasher-4.2.0/Src/Gtk2/KeyboardHelper.h	2006-10-10 12:00:53.181727000 +0100
@@ -7,7 +7,7 @@
  public:
   CKeyboardHelper();
   int ConvertKeycode(int iCode);
-  int Grab(bool bGrab);
+  void Grab(bool bGrab);
 
  private:
   std::map<int, int> m_mTable;
--- /usr/tmp/clean/dasher-4.2.0/Src/Gtk2/dasher_main.cpp	2006-09-03 20:45:09.000000000 +0100
+++ dasher-4.2.0/Src/Gtk2/dasher_main.cpp	2006-10-10 12:00:53.281237000 +0100
@@ -1047,7 +1047,7 @@
 #endif
 }
 
-gboolean dasher_main_alphabet_combo_changed(DasherMain *pSelf) {
+void dasher_main_alphabet_combo_changed(DasherMain *pSelf) {
   DasherMainPrivate *pPrivate = (DasherMainPrivate *)(pSelf->private_data);
 
   GtkTreeIter sIter;
--- /usr/tmp/clean/dasher-4.2.0/Src/Gtk2/KeyboardHelper.cpp	2006-09-03 20:45:08.000000000 +0100
+++ dasher-4.2.0/Src/Gtk2/KeyboardHelper.cpp	2006-10-10 12:00:53.282878000 +0100
@@ -75,7 +75,7 @@
     return -1;
 }
 
-int CKeyboardHelper::Grab(bool bGrab) {
+void CKeyboardHelper::Grab(bool bGrab) {
   for(std::map<int,int>::iterator it(m_mTable.begin()); it != m_mTable.end(); ++it) {
     GdkKeymapKey *pKeys;
     int iKeysLength;
--- /usr/tmp/clean/dasher-4.2.0/Src/DasherCore/SocketInputBase.cpp	2006-09-03 20:45:07.000000000 +0100
+++ dasher-4.2.0/Src/DasherCore/SocketInputBase.cpp	2006-10-10 13:38:25.228048000 +0100
@@ -11,6 +11,7 @@
 #include <string.h>
 #include <errno.h>
 #include <stdarg.h>
+#include <unistd.h>
 #ifdef WIN32
  #include <winsock2.h>
  #define DASHER_SOCKET_CLOSE_FUNCTION closesocket
--- /usr/tmp/clean/dasher-4.2.0/Src/DasherCore/DasherNode.h	2006-09-03 20:45:06.000000000 +0100
+++ dasher-4.2.0/Src/DasherCore/DasherNode.h	2006-10-10 12:00:53.284902000 +0100
@@ -95,7 +95,7 @@
     return m_iColour;
   } 
 
-  int SetColour(int iColour) {
+  void SetColour(int iColour) {
     m_iColour = iColour;
   }
 
--- /usr/tmp/clean/dasher-4.2.0/Src/Gtk2/Preferences.cpp	2006-09-03 20:45:09.000000000 +0100
+++ dasher-4.2.0/Src/Gtk2/Preferences.cpp	2006-10-10 12:00:53.286106000 +0100
@@ -1151,6 +1151,7 @@
 
 extern "C" gboolean show_helper_window(GtkWidget *pWidget, gpointer *pUserData) {
   gtk_window_present(GTK_WINDOW(*pUserData));
+  return TRUE;
 }
 
 extern "C" gboolean advanced_preferences_show(GtkWidget *widget, gpointer user_data) {
